<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowSettingsDruckListen;


class ShowSettingsLehrplanView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'mitarbeiter/dozenteninfo/dozentdetails/detailsreiter/pdflisten/drucklisten/showSettingsLehrplan.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return $this->getDefaultDataModulArray();
  }

  
  protected function getBodyDataModulArray()
  {
    
    static $dataModulObj = null;
    if (\is_null($dataModulObj)) {
      $dataModulObj = new \Datamodul();
      
      $dataModulObj->einstellOptionChecked = $this->viewModel->einstellOptionChecked;
      $dataModulObj->einstellOptionEnabled = $this->viewModel->einstellOptionEnabled;
    }

    return array($dataModulObj);
  }

  

  protected function getBodyExportAdapter()
  {
    return new \ExpListSettings();
  }

  
  protected function getNoColumnDataModulArray()
  {
    return $this->getDefaultDataModulArray();
  }

  
  protected function getDefaultDataModulArray()
  {
    return array();
  }
} 

class ShowSettingsLehrplanViewModel
{
  public $einstellOptionChecked; 
  public $einstellOptionEnabled; 
}